Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

#29391 added a useful badge that shows the status of the version. I think it would be nice to have the badge on Issue pages as well.

Currently, it is a bit hard to tell at a glance whether an issue is closed. Adding the badge can resolve the problem.

 

Bugzilla has a similar badge.

 

Related issues:

Related to Redmine - Patch #29391: Show version status in Roadmap and Version... Closed

Related to Redmine - Feature #33153: UI feature to quickly change issue status New

Related to Redmine - Feature #33834: Show open/closed badge in email notifica... Closed

Related to Redmine - Feature #33832: Move the "Private" badge next to the "Op... Closed

Related to Redmine - Feature #11753: In issues page, strike through subject w... Closed

Associated revisions

Revision 19719 - 2020-04-23 12:13 - Go MAEDA

Show open/closed badge on issue page (#33254).

Patch by Marius BALTEANU.
https://www.redmine.org/issues/29391


History

#1 - 2020-04-05 09:53 - Go MAEDA

- Related to Patch #29391: Show version status in Roadmap and Version pages added

#2 - 2020-04-05 13:29 - Marius BĂLTEANU

- File dropdown_badge.png added

I like the idea!

What do you think if we combine this with #33153 and show the status as a dropdown badge with a quick way to change the status?

 dropdown_badge.png 

#3 - 2020-04-05 14:20 - Go MAEDA

Marius BALTEANU wrote:

What do you think if we combine this with #33153 and show the status as a dropdown badge with a quick way to change the status?

 I think it is really nice! My original request will be met if closed statuses have a different appearance than open statuses, like closed and open

versions.

#4 - 2020-04-06 08:22 - Go MAEDA

- Related to Feature #33153: UI feature to quickly change issue status added

#5 - 2020-04-18 17:23 - Marius BĂLTEANU

- File closed.png added

- File open.png added

- File 0001-Show-open-closed-badge-on-issue-page.patch added

- Target version set to Candidate for next major release

I've created a patch that adds the open/closed badge on issue.

Open issue:

 open.png 

Closed issue:

 closed.png 

Test results here

Should we show only open/closed badge or we should show the issue status on blue badge if it's open and on green badge if it's closed?

#6 - 2020-04-19 07:00 - Go MAEDA

Marius BALTEANU wrote:

Should we show only open/closed badge or we should show the issue status on blue badge if it's open and on green badge if it's closed?

 I think showing only open/closed is enough. The reason why I opened this issue is that it is hard to know at a glance whether the issue is open or

closed. The patch resolves it very well.

If the current issue status is shown in the badge, maybe we will have to consider removing the status field that shows exactly the same information

with the badge.

#7 - 2020-04-23 03:14 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#8 - 2020-04-23 12:14 - Go MAEDA

- Subject changed from Show open/closed status in Issue pages to Show open/closed badge on issue page

- Status changed from New to Closed

- Assignee set to Go MAEDA
https://www.redmine.org/issues/33153
https://www.redmine.org/issues/33153
https://gitlab.com/redmine-org/redmine/pipelines/137469808


- Resolution set to Fixed

Committed the patch. Thank you for the nice improvement!

#9 - 2020-08-10 09:40 - Go MAEDA

- Related to Feature #33834: Show open/closed badge in email notifications added

#10 - 2020-10-18 03:14 - Go MAEDA

- Related to Feature #33832: Move the "Private" badge next to the "Open/Closed" badge added

#11 - 2022-08-08 11:03 - Go MAEDA

- Related to Feature #11753: In issues page, strike through subject when status closed/rejected added

Files

badge-on-issue.png 60.2 KB 2020-04-05 Go MAEDA

bugzilla-badge.png 62.9 KB 2020-04-05 Go MAEDA

dropdown_badge.png 74.2 KB 2020-04-05 Marius BĂLTEANU

open.png 96.1 KB 2020-04-18 Marius BĂLTEANU

closed.png 110 KB 2020-04-18 Marius BĂLTEANU

0001-Show-open-closed-badge-on-issue-page.patch 5.62 KB 2020-04-18 Marius BĂLTEANU

Powered by TCPDF (www.tcpdf.org)

2025-07-07 3/3

http://www.tcpdf.org

